package net.roseindia;

import org.hibernate.Session;
import org.hibernate.SessionFactory;

import net.roseindia.model.*;
/**
 * @author Deepak Kumar 
 * Web: http://www.roseindia.net
 */
public class UpdateData {
	public static void main(String[] args) throws Exception {

		SessionFactory sessFact = HibernateUtil.getSessionFactory();
		Session session = sessFact.getCurrentSession();
		org.hibernate.Transaction tr = session.beginTransaction();
		
		Article article =  (Article)session.get(Article.class, new Integer(2));
		
		article.setTitle("Best Java Tutorial");
		article.setContent("Visit at http://www.roseindia.net");

		session.update(article);
		tr.commit();
		System.out.println("Successfully inserted");
		sessFact.close();
	}

}